WordPress.org

Ready to get started?Download WordPress

Plugin Directory

JM Last Twit Shortcode

A plugin meant to add your last tweet with the lattest API way :

3.4.1

  • 16 Mar 2014
  • Fix a little typo in screen_name and username that broke links to Twitter's profile

3.4

  • 10 Mar 2014
  • Add finer checking for PHP environnement so you do not get fatal error if requirements are not ok
  • Add a bunch of new filters to play with markup, old version was totally messed up and not so easy to understand
  • Filter's names are pretty explicit but let met know if you're not sure

3.3.8

  • 20 dec 2013
  • Add filter for markup : ltsc_shortcode_markup
  • Do not worry about the recent SSL news. TmhOAuth is ready for that according its author.

3.3.7

  • 26 Oct 2013
  • Add third parameter 'ltsc' to shortcode for developer -> shortcode_atts_{$shortcode}
  • Add explanation in FAQ to use shortcode in template the best way

3.3.6

  • 07 Oct 2013
  • Fix some HTML errors (e.g. non closed span)
  • add opt out for QuickTags

3.3.5

3.3.4

  • 27 Aug 2013
  • Change connection process
  • Use some global
  • Now you can re-use your connection to the Twittter API for other requests in templates or everything else
  • Just use global $tcTmhOAuth; and enjoy ^^

3.3.3

  • 20 Aug 2013
  • Update library tmhOAuth to the latest version

3.3.2

  • 15 Aug 2013
  • change the way PHP version is checked. Now in case PHP version is under 5.3 it displays a simple notice which is more appropriate than an exit().

3.3.1

  • 09 Aug 2013
  • Add some PHP version checking to be sure users are on PHP 5.3 at least.
  • Bugfix, permission error ion option pages

3.3.0

  • 09 Aug 2013
  • Use now composer to load library and all dependencies
  • Add new parameters (and of course new quicktags ^^) : [jmlt exclude_replies="true"] will exclude replies from your timeline, [jmlt include_rts="false"] will exclude RTs from your timeline, thanks Marie For the idea ;)

3.2.9

3.2.8

  • 29 june 2013
  • problem with SVN, update failed yesterday.
  • count is fixed, you can grab as many tweets as possible

3.2.7

  • 28 june 2013
  • wrong instructions for CSS on option page (sorry :/). Now it's fixed.

3.2.6

3.2.5

  • 27 june 2013
  • MAJOR UPDATE !
  • Change transient system to allow you define cache time in shortcode, just put [jmlt cache="1800"] to store tweets during 30 minutes.
  • This will fix 429 errors and now you can use the shortcode several time on your website (1 transient for 1 username)
  • Fix bug with current_time(), now it will take local time even if your timezone settings are wrong

3.2.4

  • 22 june 2013
  • Remove support for multiple timeline because twitter has changed it rate limits for mentions_timeline, home_timeline and retweets_of_me see https://dev.twitter.com/docs/rate-limiting/1.1/limits
  • Now it 15/tweets/user/window and not available for app which triggers error 429
  • So you can still use user_timeline (180/tweets/user and 300/tweets/app per window)

3.2.3

  • 22 june 2013
  • Improve option page with some explanation (how to use and style the tweets)
  • Add class to let you apply your own CSS to the text of your tweets, thanks sam to report it and for your suggestion.

3.2.2

  • 19 june 2013
  • move the 'tweetfeed' class from the li to the ul to make it easier to style with your own CSS

3.2.1

  • 18 june 2013
  • add option to show twittar (Twitter Avatar), just use [jmlt show_twittar="on"] in your post

3.2.0

  • uncomment line 175 to let transient work !!!

3.1.9

  • 2 june 2013
  • MAJOR UPDATE
  • display more than 1 tweet (new parameter for shortcode -> "count")
  • transients are fixed (simple and multisite)
  • have fun :=)

3.1.8

  • 15 May 2013
  • MAJOR UPDATE
  • change library
  • display last tweet from any timeline you want

3.1.7

  • 03 May 2013
  • wrong position for transient function

3.1.6

  • 03 May 2013
  • fix versionning issue in repository

3.1.5

  • 03 May 2013
  • fix bug regarding transients in some configurations
  • fix bug with use in widget while using in post: 'cannot redeclare function'
  • add buttons (shortcuts) in HTML editor

3.1

  • 25 apr 2013
  • make error test more accurate
  • add opt out for default styles
  • add possibility to use shortcode in a widget text

3.0

  • 07 apr 2013
  • Reproduce Twitter Style for embedded tweets

2.9

  • 04 apr 2013
  • Update library oAuth
  • Find a proper way to hide content (delete ugly text-indent:-9999px property)
  • Add cool features to make your tweet look pretty much like embedded tweets...
  • Sign in is coming soon

2.8

  • 13 mar 2013
  • Important ! Fix transient. 2.7 was a bad update. Sorry guys.
  • Correct wrong hook for translation we need in frontend

2.7

  • 10 mar 2013
  • Important ! Fix missing get_site_transient. Now contents will update without any problem.

2.6

  • 01 mar 2013
  • Important ! forget to delete wrong condition. Next update will include a sign in.

2.5

  • 01 mar 2013
  • Important ! fix typo on line 85 "error" > "errors". Next update will include a sign in.

2.4

  • 23 fev 2013
  • fix error with condition in 2.2. Actually that can't work because error 200 is not an error !

2.3

  • 22 fev 2013
  • fix the way the plugin displays error messages.

2.2

  • 17 fev 2013
  • bugfix Multisite : replace get_transient with get_site_transient thanks to great comment by sethmatics

2.1

  • 09 fev 2013
  • Add intents (reply, favorite, retweet) with sprites CSS

2.0

  • 09 fev 2013
  • Minor Update (minor security fix)

1.1.9

  • 04 fev 2013
  • Add missing markup

1.1.8

  • 04 fev 2013
  • Remove undefined that breaks design

1.1.7

  • 31 jan 2013
  • Adds some warning in case Twitter Api Status is down

1.1.6

  • 27 jan 2013
  • Includes timeline parameter for shortcode, enjoy...

1.1.5

  • 25 jan 2013
  • Updates public host URL (really important!)

1.1.4

  • 25 jan 2013
  • Adds transient (thanks for the comment Juliobox)

1.1.3

  • 22 jan 2013
  • Initial release

Compatible up to: 3.9
Last Updated: 2014-4-17
Downloads: 3,294

Ratings

5 stars
5 out of 5 stars

Support

1 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1